{% extends 'dashboard/flip_analyzer/_layout/layout_flip_analyzer.html.twig' %}

{% block content_flip_analyzer %}
    <div class="row p-4">
        <div class="col-12">
            <div class="timer-data border-bottom-dashed pb-4">
                <h4 class="mt-0 text-dark font-weight-bold mb-2">Closing Costs</h4>
                <small>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut
                    labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris
                    nisi ut aliquip ex ea commodo consequat.</small>

                <div class="mt-3">
                    <button type="button" class="btn btn-sm btn-soft-dark">Lump Sum</button>
                    <button type="button" class="btn btn-sm btn-soft-dark">Itemize</button>
                </div>
            </div>
        </div>
    </div>

    <div class="row">
        <div class="col-6 mx-auto">
            <div class="text-center">
                <h6 class="text-dark font-weight-bold mb-2">Closing Costs Estimation</h6>

                <form class="mt-4">
                    <div class="form-group">
                        <div class="input-group">
                            <input type="number" class="form-control" id="inlineFormInputGroup" placeholder="2">
                            <div class="input-group-append">
                                <div class="input-group-text"><i data-feather="percent" class="icon-xs mr-1"></i> of
                                    purchase price
                                </div>
                            </div>
                        </div>
                    </div>

                    <button type="submit" class="btn btn-primary mt-2 px-3">Save</button>
                </form>
            </div>
        </div>

        <div class="col-10 px-5 mx-auto">
            <hr class="my-5">
        </div>
    </div>

    <div class="row">
        <div class="col-10 mx-auto">
            <div class="text-center mb-5">
                <h6 class="text-dark font-weight-bold mb-2">Itemized Closing Costs</h6>
            </div>


            <div class="text-center mb-5">
            {{ form_start(closingCostsForm) }}
                <ul class="items" data-prototype="{{ form_widget(closingCostsForm.items.vars.prototype)|e('html_attr') }}">
                    <button type="button" class="add_item_link btn btn-sm btn-info" data-collection-holder-class="items">Add item</button>


                    <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#exampleModal">
                        Launch demo modal
                    </button>
                    {% for item in closingCostsForm.items %}
                        <li>{{ form_row(item.name) }}</li>
                    {% endfor %}
                </ul>

                <button type="submit" class="btn btn-light btn-sm mt-1 px-3">Submit</button>
            {{ form_end(closingCostsForm) }}
            </div>

            <form>

                <div class="form-group row">
                    <label for="inputPassword" class="col-sm-2 col-form-label">Password</label>
                    <div class="col-sm-8 align-self-center">
                        <input type="password" class="form-control" id="inputPassword" placeholder="Password">
                    </div>
                    <div class="col-sm-2 align-self-center">
                        <i data-feather="trash" class="icon-xs text-danger"></i>
                    </div>
                </div>

                <div class="form-group row">
                    <label for="inputPassword" class="col-sm-2 col-form-label">Password</label>
                    <div class="col-sm-8 align-self-center">
                        <div class="input-group">
                            <div class="input-group-prepend">
                                <div class="input-group-text"><i data-feather="dollar-sign" class="icon-xs"></i></div>
                            </div>
                            <input type="number" class="form-control" id="inlineFormInputGroup" placeholder="2,235">
                        </div>
                    </div>
                    <div class="col-sm-2 align-self-center">
                        <i data-feather="trash" class="icon-xs text-danger"></i>
                    </div>
                </div>

                <div class="form-group row">
                    <label for="inputPassword" class="col-sm-2 col-form-label">Password</label>
                    <div class="col-sm-8 align-self-center">
                        <div class="input-group">
                            <input type="number" class="form-control" id="inlineFormInputGroup" placeholder="2">
                            <div class="input-group-append">
                                <div class="input-group-text"><i data-feather="percent" class="icon-xs mr-1"></i> of
                                    purchase price
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-sm-2 align-self-center">
                        <i data-feather="trash" class="icon-xs text-danger"></i>
                    </div>
                </div>

                <div class="text-center">
                    <button type="button" class="btn btn-light btn-sm mt-1 px-3"><i data-feather="plus"
                                                                                    class="icon-xs mr-1"></i>Add Item
                    </button>
                </div>

                <button type="submit" class="btn btn-primary mt-2 px-3">Save</button>
            </form>
        </div>
    </div>
{% endblock %}

{% block javascripts %}
    {{ parent() }}

<script>
    function addFormToCollection($collectionHolderClass) {
        // Get the ul that holds the collection of tags
        var $collectionHolder = $('.' + $collectionHolderClass);

        // Get the data-prototype explained earlier
        var prototype = $collectionHolder.data('prototype');

        // get the new index
        var index = $collectionHolder.data('index');

        var newForm = prototype;
        // You need this only if you didn't set 'label' => false in your tags field in TaskType
        // Replace '__name__label__' in the prototype's HTML to
        // instead be a number based on how many items we have
        // newForm = newForm.replace(/__name__label__/g, index);

        // Replace '__name__' in the prototype's HTML to
        // instead be a number based on how many items we have
        newForm = newForm.replace(/__name__/g, index);

        // increase the index with one for the next item
        $collectionHolder.data('index', index + 1);

        // Display the form in the page in an li, before the "Add a tag" link li
        var $newFormLi = $('<li></li>').append(newForm);
        // Add the new form at the end of the list
        $collectionHolder.append($newFormLi)
    }

    $(document).ready(function() {
        // Get the ul that holds the collection of tags
        var $tagsCollectionHolder = $('ul.items');
        // count the current form inputs we have (e.g. 2), use that as the new
        // index when inserting a new item (e.g. 2)
        $tagsCollectionHolder.data('index', $tagsCollectionHolder.find('input').length);

        $('body').on('click', '.add_item_link', function(e) {
            var $collectionHolderClass = $(e.currentTarget).data('collectionHolderClass');
            // add a new tag form (see next code block)
            addFormToCollection($collectionHolderClass);
        })
    });
</script>
{% endblock %}

{% block modals %}
    {{ parent() }}

    <!-- Modal -->
    <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">New Closing Cost</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="row">
                        <div class="col-12 px-3">

                            <form>
                                <div class="form-group py-3 px-3 row border-bottom-dashed mb-0">
                                    <label for="nameClosingCost" class="col-sm-2 col-form-label">Name</label>
                                    <div class="col-sm-10">
                                        <input type="text" class="form-control" id="nameClosingCost" placeholder="Enter name of closing cost">
                                    </div>
                                </div>

                                <div class="form-group py-3 px-3 row border-bottom-dashed mb-0">
                                    <label class="col-sm-2 col-form-label">Type</label>
                                    <div class="col-sm-10">
                                        <div class="form-check-inline my-1">
                                            <div class="custom-control custom-radio">
                                                <input type="radio" id="lumpSumClosingCost" name="typeClosingCost" class="custom-control-input">
                                                <label class="custom-control-label" for="lumpSumClosingCost">Lump Sum</label>
                                            </div>
                                        </div>
                                        <div class="form-check-inline my-1">
                                            <div class="custom-control custom-radio">
                                                <input type="radio" id="percentClosingCost" name="typeClosingCost" class="custom-control-input">
                                                <label class="custom-control-label" for="percentClosingCost">Percent</label>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <div class="form-group py-3 px-3 row mb-0">
                                    <label for="amountClosingCost" class="col-sm-2 col-form-label">Amount</label>
                                    <div class="col-sm-10">
                                        <input type="password" class="form-control" id="amountClosingCost">
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancel</button>
                    <button type="button" class="add_item_link btn btn-primary" data-dismiss="modal">Add</button>
                </div>
            </div>
        </div>
    </div>
{% endblock %}